Bug 228935 - net-im/ejabberd: port outdated
Summary: net-im/ejabberd: port outdated
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ashish SHUKLA
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-12 13:32 UTC by post
Modified: 2018-06-27 04:41 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (ashish)


Attachments
ejabberd-18.04 update (113.55 KB, patch)
2018-06-24 19:48 UTC, Ashish SHUKLA
no flags Details | Diff
ejabberd-18.04 update (114.94 KB, patch)
2018-06-24 20:31 UTC, Ashish SHUKLA
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description post 2018-06-12 13:32:49 UTC
18.04 is out since May 1st: https://blog.process-one.net/ejabberd-18-04/
Comment 1 Ashish SHUKLA freebsd_committer 2018-06-24 17:15:27 UTC
(In reply to post from comment #0)

Hi

Sorry for the delay in responding. I'm working on the update and will have something ready in next few days.
Comment 2 Ashish SHUKLA freebsd_committer 2018-06-24 19:48:30 UTC
Created attachment 194567 [details]
ejabberd-18.04 update

Attached is the update diff. I've refactored port in this one to make it easy to update, so it needs some thorough testing, before it can be committed. If someone else could test it besides me that'll be great.

HTH
Comment 3 Ashish SHUKLA freebsd_committer 2018-06-24 20:31:15 UTC
Created attachment 194579 [details]
ejabberd-18.04 update

Couple of fixes
Comment 4 post 2018-06-25 10:21:58 UTC
Hi,

I applied the patch and it seems to be working fine, thanks for the diff!

However, before you roll out 18.04 into the ports, version 18.06 will be available sometime this or maybe next week.
Comment 5 Bernhard 2018-06-25 11:06:15 UTC
Hi,

just applied your patch and it works without any issues so far!
Comment 6 commit-hook freebsd_committer 2018-06-27 04:40:00 UTC
A commit references this bug:

Author: ashish
Date: Wed Jun 27 04:39:45 UTC 2018
New revision: 473417
URL: https://svnweb.freebsd.org/changeset/ports/473417

Log:
  - Update to 18.04
  - Switch to using Github sources, easier to maintain
  - Remove dependency on git
  - Add dependency on autoreconf as we are now using sources from git
  - Thanks to Bernhard, and reporter for help with testing

  PR:		228935
  Reported by:	post at zuglufttier dot de

Changes:
  head/net-im/ejabberd/Makefile
  head/net-im/ejabberd/distinfo
  head/net-im/ejabberd/files/patch-configure.ac
  head/net-im/ejabberd/files/pkg-install.in
  head/net-im/ejabberd/pkg-plist
Comment 7 Ashish SHUKLA freebsd_committer 2018-06-27 04:41:41 UTC
Thank you folks for help with testing. I tried it on my XMPP host, and it seems to have upgraded without any issues. Hopefully subsequent updates will be easier, and faster.

Ashish